package es.uv.dagarcos.master.dto;

import java.time.Instant;

public class ShardWorldSnapshotDto {

    private Instant timestamp;
    private long totalPlayers;
    private long totalEvents;

    public ShardWorldSnapshotDto(
            Instant timestamp,
            long totalPlayers,
            long totalEvents) {

        this.timestamp = timestamp;
        this.totalPlayers = totalPlayers;
        this.totalEvents = totalEvents;
    }

    public Instant getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Instant timestamp) {
        this.timestamp = timestamp;
    }

    public long getTotalPlayers() {
        return totalPlayers;
    }

    public void setTotalPlayers(long totalPlayers) {
        this.totalPlayers = totalPlayers;
    }

    public long getTotalEvents() {
        return totalEvents;
    }

    public void setTotalEvents(long totalEvents) {
        this.totalEvents = totalEvents;
    }

    
}